Skip to content
Letterhead Letterhead Letterhead Help Center
Admin Tools

Create a virtual company and its administrator

POST
/api/v3/teams/virtual-company-admin
curl --request POST \
--url https://api.tryletterhead.com/api/v3/teams/virtual-company-admin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "companyName": "Amazing Example", "orgSlug": "amazing-example", "email": "[email protected]" }'

On a shared tenant where one org’s brands are grouped into separate companies, creates the company (if it doesn’t already exist) and grants the given email address company-administrator access to it.

Media type application/json
object
companyName
required

Name of the company to create or reuse.

string
orgSlug
required

Slug of the brand/organization the company is created under.

string
email
required

Email address to grant company-administrator access to.

string
Example
{
"companyName": "Amazing Example",
"orgSlug": "amazing-example",
"email": "[email protected]"
}

200 OK

Media type application/json
object
items
Array
message
string
total
integer
Example
{
"items": [],
"message": "[email protected] is added to Amazing Example as a company admin",
"total": 0
}

Still can’t find what you need? Contact support.